Subject: Wanted: info on Australian Butterflies

From: [email-masked] (Neil Jones)
Date: Sat, 14 Jan 1995 14:51:17 +0000

I am going to be in Australia for a few weeks in February/March.
Can any one recommend any interesting areas for wild butterflies or butterfly
houses in the Sydney and Melbourne areas? Also does anyone know
any good field guides that I might easily find in bookshops when I arrive?
It is not my intention to collect. I do not maintain a collection
of set specimens.

-- 
Neil Jones [email-masked]